Problem with social sharing plugin i can't build my app

hai i have some problems with the SocialSharing plugin. when i add this plugin using this command.
ionic cordova plugin add cordova-plugin-x-socialsharing , npm install @ionic-native/social-sharing

when i tried to build my app using this command: ionic cordova run android

i got this error in command promt:

Task :app:mergeDebugResources FAILED

FAILURE: Build failed with an exception.

  • What went wrong:
    Execution failed for task ‘:app:mergeDebugResources’.

This project uses AndroidX dependencies, but the ‘android.useAndroidX’ property is not enabled. Set this property to true in the gradle.properties file and retry.
The following AndroidX dependencies are detected: androidx.versionedparcelable:versionedparcelable:1.0.0, androidx.slidingpanelayout:slidingpanelayout:1.0.0, androidx.fragment:fragment:1.0.0, androidx.core:core:1.0.0, androidx.customview:customview:1.0.0, androidx.swiperefreshlayout:swiperefreshlayout:1.0.0, androidx.interpolator:interpolator:1.0.0, androidx.loader:loader:1.0.0, androidx.drawerlayout:drawerlayout:1.0.0, androidx.viewpager:viewpager:1.0.0, androidx.collection:collection:1.0.0, androidx.localbroadcastmanager:localbroadcastmanager:1.0.0, androidx.lifecycle:lifecycle-common:2.0.0, androidx.arch.core:core-common:2.0.0, androidx.annotation:annotation:1.0.0, androidx.lifecycle:lifecycle-livedata:2.0.0, androidx.legacy:legacy-support-core-ui:1.0.0, androidx.lifecycle:lifecycle-viewmodel:2.0.0, androidx.lifecycle:lifecycle-livedata-core:2.0.0, androidx.legacy:legacy-support-v4:1.0.0, androidx.media:media:1.0.0, androidx.arch.core:core-runtime:2.0.0, androidx.legacy:legacy-support-core-utils:1.0.0, androidx.documentfile:documentfile:1.0.0, androidx.cursoradapter:cursoradapter:1.0.0, androidx.lifecycle:lifecycle-runtime:2.0.0, androidx.coordinatorlayout:coordinatorlayout:1.0.0, androidx.asynclayoutinflater:asynclayoutinflater:1.0.0, androidx.print:print:1.0.0

  • Try:
    Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output. Run with --scan to get full insights.

  • Get more help at https://help.gradle.org

BUILD FAILED in 50s
7 actionable tasks: 7 executed
Command failed with exit code 1: D:\ionicframework\socials\platforms\android\gradlew cdvBuildDebug -b D:\ionicframework\socials\platforms\android\build.gradle
[ERROR] An error occurred while running subprocess cordova.

    cordova.cmd build android --device exited with exit code 1.

    Re-running this command with the --verbose flag may provide more information.

please to help me to solve this issues

Here’s what happens when I feed your error message to the forum search function. Have you read all those threads? What concrete steps have you taken after reading them? What happened?

i uses this package (ionic cordova plugin add cordova-plugin-x-socialsharing , npm install @ionic-native/social-sharing) i cannot take any build form my ionic project